
1. 创建在harbor上创建个名命空间，创建完之后，要在jekninsfile改成对应的名命空间。

2. 在k8s当中创建一个和harbor当中一样的名命空间。这个名命空间要在jenkinsfile当中进行编辑。目前就叫做`mall4cloud-release`

3. 为jenkins创建git账号与harbor账号

在jenkins-系统管理配置-Manage Credentials-全局（Manage Credentials这个管理界面下面有个列表，列表域下面有个全局）-添加凭据

如果无法手动进入的话，可以访问 `jenkins域名+/credentials/store/system/domain/_/`

添加两个凭据把git和harbor的用户名和密码放进去保存。

4. 根据本目录下的jenkinsfile文件夹，在jenkins当中添加不同的”流水线“任务，任务名和文件名可以类似。

5. 修改jenkinsfile里面的GIT_CREDENTIAL_ID与HARBOR_CREDENTIAL_ID让jenkins可以访问到。

6. 修改jenkinsfile里面的environment配置，改成自己的环境。复制进去jenkins的流水线脚本框内保存。前端的jenkinsfile要改掉里面的域名。

7. 在nfs当中的`/nfs/data`下，创建几个放中间件需要的文件夹，将`开发环境搭建`当中的`中间件docker-compose一键安装`里面的内容进行阅读。并把里面的文件夹的内容放到对应的nfs的文件夹当中。

```shell
mkdir mall4j-middleware
mkdir mall4cloud-release
cd mall4j-middleware
mkdir mall4j-canal
mkdir mall4j-elasticsearch
mkdir mall4j-minio
mkdir mall4j-mongo
mkdir mall4j-mysql
mkdir mall4j-nacos
mkdir mall4j-nginx
mkdir mall4j-rocketmq
mkdir mall4j-seata
mkdir mall4j-aof-redis
mkdir mall4j-shardingsphere
```

9. 创建中间件所在的名命空间，起名为`mall4j-middleware`，将`mall4j-middleware.yaml`导入，注意里面的配置是否与nfs当中的ip和环境变量之类的一致。

10. 创建商城容器的名命空间，起名为`mall4cloud-release`，将`mall4cloud-release.yaml`导入，注意里面的ip之类的会不会有问题。还要在`mall4cloud-release`当中创建harbor的密文，起名为harbor。

否则里面的yaml里面的配置无效，就没办法拉取镜像了。
```
      imagePullSecrets:
        - name: harbor
```



