```
├── dist                       # 构建相关
├── src                        # 源代码
│   ├── assets                 # 图片静态资源
│   ├── components             # 全局公用组件
│   ├── lang                   # 国际化 language
│   ├── layout                 # 全局 layout
│   ├── login                  # 登录相关页面
│   ├── plugins                # 全局公用方法、插件
│   ├── router                 # 路由
│   ├── stores                 # 全局 store管理
│   ├── styles                 # 全局样式
│   ├── views                  # views 所有页面
│   ├── App.vue                # 入口页面
│   ├── main.js                # 入口文件 加载组件 初始化等
│   └── style.scss             # 全局样式
├── .editorconfig              # 编辑器配置
├── .env.xxx                   # 环境变量配置
├── .eslintxxx.xx              # eslint 相关配置
├── .gitignore                 # git 忽略清单
├── .npmrc                 	   # npm 配置
├── Dockerfile                 # docker部署配置
├── index.html             	   # html 模板
├── nginx.conf                 # nginx 配置
├── package.json               # package.json
├── tsconfig.json			   # ts 编译配置
└── vite.config.js             # vite 配置文件
```
