## 阿里视频直播配置

[阿里官方文档][https://help.aliyun.com/zh/live/product-overview/what-is-apsaravideo-live]

1. #### 域名配置

   1. ##### 添加播流域名

      <div align=left><img src="../img/阿里视频直播配置/添加播流域名.jpg" style="zoom:80%;" /></div>

   2. ##### 配置CNAME，通过配置向导引导解析域名

      <div align=left><img src="../img/阿里视频直播配置/CNAME配置.jpg" style="zoom:80%;" /></div>

   3. ##### 添加推流域名

      <div align=left><img src="../img/阿里视频直播配置/推流域名.jpg" style="zoom:80%;" /></div>

   4. ##### 同理添加推流域名的CNAME配置，添加记录如下

      <div align=left><img src="../img/阿里视频直播配置/CNAME.jpg" style="zoom:80%;" /></div>

   5. ##### 配置成功

      <div align=left><img src="../img/阿里视频直播配置/域名配置完成.jpg" style="zoom:80%;" /></div>

   6. ##### 关联推流和播流域名

      选择播流域名，点击域名配置，选择推流域名-添加推流信息，选择推流域名

      <div align=left><img src="../img/阿里视频直播配置/关联推流域名.jpg" style="zoom:80%;" /></div>

      <div align=left><img src="../img/阿里视频直播配置/关联域名配置完成.jpg" style="zoom:80%;" /></div>
2. #### 获取鉴权key，以播流为例，同理可以获得推流鉴权key

   <div align=left><img src="../img/阿里视频直播配置/播流鉴权key.jpg" style="zoom:80%;" /></div>



3. #### 根据需要配置HTTPS配置

   <div align=left><img src="../img/阿里视频直播配置/https配置.jpg" style="zoom:80%;" /></div>
   播流域名跨域配置：
   <div align=left><img src="../img/阿里视频直播配置/跨域配置.jpg" style="zoom:80%;" /></div>

4. #### 测试可以通过下面两个工具进行，具体参考文档

   [OBS推流工具文档][https://help.aliyun.com/zh/live/obs?spm=a2c4g.11186623.0.0.6c0c7641ceSKqw]

   [VLC播流工具文档][https://help.aliyun.com/zh/live/get-started-with-apsaravideo-live?spm=a2c4g.11186623.0.0.51af5272KJWW0V#section-gca-ns3-5im]

4. #### 平台配置

   其中应用名称可以自己配置，其余配置要从阿里直播中获取

   <div align=left><img src="../img/阿里视频直播配置/平台端配置.jpg" style="zoom:80%;" /></div>




   