调拨订单 mapping

PUT allot-order
```json
{
  "mappings": {
    "properties": {
      "allotOrderId": {
        "type": "long"
      },
      "outWarehouseId": {
        "type": "long"
      },
      "outStockPointType": {
        "type": "integer"
      },
      "inWarehouseId": {
        "type": "long"
      },
      "inStockPointType": {
        "type": "integer"
      },
      "dvyCompanyId": {
        "type": "long"
      },
      "dvyType": {
        "type": "integer"
      },
      "dvyOrderNumber": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "status": {
        "type": "integer"
      },
      "totalAllotCount": {
        "type": "integer"
      },
      "remark": {
        "type": "keyword",
        "index": false,
        "doc_values": false
      },
      "shopId": {
        "type": "long"
      },
      "sysType": {
        "type": "integer"
      },
      "createTime": {
        "type": "date"
      },
      "updateTime": {
        "type": "date"
      },
      "allotOrderItems": {
        "type": "nested",
        "properties": {
          "allotOrderItemId": {
            "type": "long"
          },
          "spuId": {
            "type": "long"
          },
          "skuId": {
            "type": "long"
          },
          "allotCount": {
            "type": "integer"
          },
          "allotInCount": {
            "type": "integer"
          }
        }
      }
    }
  }
}
```