> mall4cloud-multishop：mall4cloud-multishop代表 商家端，是后台管理员界面使用的前端项目，因为前后端分离的

> mall4cloud-platform：mall4cloud-platform代表 平台端，是后台管理员界面使用的前端项目，因为前后端分离的

> mall4cloud-slipper：mall4cloud-slipper代表 供应商端，是后台管理员界面使用的前端项目，因为前后端分离的

## 安装nodejs

[NodeJS](https://nodejs.org/) 项目要求最低 18.12.0，推荐 20.9.0

如果不了解怎么安装nodejs的，可以参考   [菜鸟教程的nodejs相关](https://www.runoob.com/nodejs/nodejs-install-setup.html)



## 安装依赖

项目要求使用 [pnpm](https://www.pnpm.cn/)  包管理工具

使用编辑器打开项目，在根目录执行以下命令安装依赖

```
pnpm install
```

如果不想使用 pnpm，请删除 `package.json` 文件中 `pnpm` 相关内容后再进行安装

```json
{
    "scripts" : {
        "preinstall": "npx only-allow pnpm"  // 删除此行
    },
    "engines": {
        "pnpm": ">=7"  // 删除此行
     },
    "pnpm": { // 删除此项
        ...
    }
}
```



## 修改配置文件

修改根目录下的`.env.development`  连接后台。

假设你的服务器ip为`192.168.1.195`，也就是说你运行java项目的那台机器的开发环境，打开`cmd` 输入`ipconfig` 按回车的时候，看到的ipv4地址为`192.168.1.195` 当然这个ip也是假设的。

假设`java` 网关运行的端口是`8000`，具体请看java项目中的bootstrap.yml

那么开发环境的配置为

```bash
# base api
VUE_APP_BASE_API = 'http://192.168.1.195:8000'
```



## 打包部署

```bash
npm run build
```

静心等待，等打包结束后前往根目录下找到dist文件夹，打开文件所在资源器，将此文件夹添加到压缩包部署到服务器上

