

```
├── dist                       # 构建相关
├── src                        # 源代码
│   ├── api                    # 所有请求(根据不同后台不同的服务分包)
│   ├── assets                 # 主题 字体等静态资源
│   ├── components             # 全局公用组件
│   ├── directive              # 全局指令
│   ├── icons                  # 项目所有 svg icons
│   ├── lang                   # 国际化 language
│   ├── layout                 # 全局 layout
│   ├── plugins                # 第三方插件
│   ├── router                 # 路由
│   ├── stores                 # 全局 store管理
│   ├── styles                 # 全局样式
│   ├── utils                  # 全局公用方法
│   ├── views                  # views 所有页面
│   ├── App.vue                # 入口页面
│   ├── main.js                # 入口文件 加载组件 初始化等
│   └── permission.js          # 权限管理
├── .editorconfig              # 编辑器配置
├── .env.xxx                   # 环境变量配置
├── .eslintxxx.xx              # eslint 相关配置
├── .gitignore                 # git 忽略清单
├── .npmrc                 	   # npm 配置
├── Dockerfile                 # docker部署配置
├── index.html             	   # html 模板
├── nginx.conf                 # nginx 配置
├── package.json               # package.json
├── tsconfig.json			   # ts 编译配置
└── vite.config.js             # vite 配置文件
```

