```
├── dist                       # 构建相关
├── src                        # 源代码
│   ├── components             # 全局公用组件
│   ├── hybrid                 # webview本地页面
│   ├── js_sdk                 # 外部js
│   ├── lang                   # 国际化 language
│   ├── package-activities     # 活动分包
│   ├── package-refund         # 退款分包
│   ├── package-shop           # 店铺分包
│   ├── package-user           # 用户分包
│   ├── pages                  # 主包
│   ├── router                 # 路由配置
│   ├── static                 # 静态资源
│   ├── uni_modules            # uni第三方组件
│   ├── utils                  # 全局公用方法
│   ├── wxs                    # wxs
│   ├── app.css                # 全局样式
│   ├── App.vue                # 入口页面
│   ├── main.js                # 入口文件 加载组件 初始化等
│   ├── manifest.json          # uniapp 项目配置
│   ├── pages.json             # 页面配置文件
│   ├── manifest.json          # uniapp 项目配置
│   ├── popup.scss             # 全局弹窗样式
│   └── uni.scss         	   # uni样式变量
├── .editorconfig              # 编辑器配置
├── .env.xxx                   # 环境变量配置
├── .eslintxxx.xx              # eslint 相关配置
├── .gitignore                 # git 忽略清单
├── .npmrc                 	   # npm 配置
├── Dockerfile                 # docker部署配置
├── index.html             	   # html 模板
├── nginx.conf                 # nginx 配置
├── package.json               # package.json
├── tsconfig.json			   # ts 编译配置
└── vite.config.js             # vite 配置文件
```
