## 数据库脚本
数据库初始化脚本分为两个部分，商城数据库初始化脚本和中间件初始化脚本

### 1. 中间件数据库位置

中间件初始化脚本
[中间件数据库初始化脚本](../中间件docker-compse一键安装/mysql/initdb)

```
mall4cloud_job.sql
mall4cloud_nacos.sql
mall4cloud_seata.sql
```

### 2. 商城数据库初始化脚本

商城数据库脚本(在当前目录下的 db 文件下)
[商城数据库初始化脚本](./initDb)

```
mall4cloud_admin.sql
mall4cloud_auth.sql
mall4cloud_biz.sql
mall4cloud_flow.sql
mall4cloud_group.sql
mall4cloud_group_data.sql
mall4cloud_im.sql
mall4cloud_marketing.sql
mall4cloud_order.sql
mall4cloud_order_data.sql
mall4cloud_payment.sql
mall4cloud_payment_data.sql
mall4cloud_product.sql
mall4cloud_product_data.sql
mall4cloud_seckill.sql
mall4cloud_user.sql
```

商城的一些数据库的初始化数据

```
地址初始化数据
mall4cloud_order_data.sql

以下分类相关初始化数据，可以选择初始化，也可以自定义数据（不执行mall4cloud_product_data.sql脚本即可）

分类初始化数据
mall4cloud_product_data.sql

属性、属性分类相关初始化数据
mall4cloud_product_data.sql

```

